Bug 1994480 - Cluster Infrastructure owned components should use 1.22 dependencies
Summary: Cluster Infrastructure owned components should use 1.22 dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Joel Speed
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-17 11:10 UTC by Joel Speed
Modified: 2021-10-18 17:47 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:46:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-aws pull 417 0 None None None 2021-08-22 18:44:00 UTC
Github openshift cluster-api-provider-azure pull 230 0 None None None 2021-08-22 18:44:01 UTC
Github openshift cluster-api-provider-baremetal pull 158 0 None None None 2021-08-22 18:44:02 UTC
Github openshift cluster-api-provider-gcp pull 170 0 None None None 2021-08-22 18:44:04 UTC
Github openshift cluster-api-provider-openstack pull 197 0 None None None 2021-08-22 18:44:05 UTC
Github openshift cluster-autoscaler-operator pull 218 0 None None None 2021-08-22 18:44:05 UTC
Github openshift cluster-cloud-controller-manager-operator pull 107 0 None None None 2021-08-22 18:44:06 UTC
Github openshift cluster-machine-approver pull 128 0 None None None 2021-08-22 18:44:08 UTC
Github openshift machine-api-operator pull 906 0 None None None 2021-08-22 18:44:09 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:47:06 UTC

Description Joel Speed 2021-08-17 11:10:25 UTC
Description of problem:

We should keep our K8s dependencies in sync with the minor version vendored in openshift/api, which has now been bumped to K8s 1.22

Additional info:

Need to update the following repositories:
- machine-api-operator
- cluster-api-provider-{aws,azure,gcp, et al}
- cluster-autoscaler-operator
- cluster-cloud-controller-manager-operator
- cluster-machine-approver
- cluster-api-actuator-pkg

Comment 2 sunzhaohua 2021-08-25 07:01:13 UTC
Verified
Checked qe ci results, no issue were found.

Comment 5 errata-xmlrpc 2021-10-18 17:46:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.